<?php
/* @var array $impStat */
$impStat7 = array_reverse($impStat['7']);
$data = [];
array_walk($impStat7, static function ($value) use (&$data) {
    $data[] = $value['imp'];
});
?>

<div class="">
    <div class="mt20">
        <div>
            <canvas class="spai-chart" id="impressionsChart"></canvas>
        </div>
    </div>
</div>


<script>
    const labels = <?php echo json_encode(array_keys($impStat7)); ?>;


    const data = {
        labels: labels,
        datasets: [{
            label: 'Impressions',
            backgroundColor: 'rgb(255, 99, 132)',
            borderColor: 'rgb(255, 99, 132)',
            data: <?php echo json_encode($data); ?>,
        }]
    };

    const config = {
        type: 'line',
        data: data,
        options: {
            scales: {
                y: {
                    min: 0,
                }
            }
        },
    };
</script>

<script>
    const myChart = new Chart(
        document.getElementById('impressionsChart'),
        config
    );
</script>

<style>
    .spai-chart {
        width: 100%;
        max-width: 700px;
        max-height: 400px;
    }
</style>
